Subject: Re: [PATCH] push: Provide situational hints for non-fast-forward errors

From: Christopher Tiwald <[email-masked]>
Date: Fri, 16 Mar 2012 13:20:13 -0400

On Fri, Mar 16, 2012 at 05:03:58AM -0700, Junio C Hamano wrote:
> > We should not give advise_use_upstream if the user specified git push
> > --all. The advice_checkout_pull_push would make more sense in that case.
> 
> Yeah, "default_matching_used" variable should be looked at somewhere
> around that, but I *think* the approach Christpher and Peff took (and I
> agree with them) is to help solving the immediate problem the user has and
> can address.

Yeah, this was how I interpretted Peff's original suggestion. It seemed
like a nice compromise between advice that was inapplicable and advice
that was too complex ("There are 3 different non-ff errors in your push.
Here are the four resolution processes required to fix them...").

Thanks for the additional patching. The language / logic changes make
sense. One quick, slightly-off-topic question: I'd like
to take another crack at the patch's commit message, to implement
some of your language suggestions and clean it up further. Is it
reasonable for me to wait a few days for additional comments or
updates, squash together these fixups into a single v2 patch (assuming
one patch is a logical unit for it), then resubmit?

Just wanted to clarify the workflow,

--
Christopher Tiwald